summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEmma Foley <emma.l.foley@intel.com>2017-08-26 13:53:03 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-08-26 13:53:03 +0000
commit151a5d6db45763a4c130a37d69f120704fac8039 (patch)
tree44c2f52963af3864cadbd81ea88d3cbab417428c
parent1ec9c3828ef6b1c0426b14138cc9b3a24cf88122 (diff)
parentcbcddf4a51ccb24a49dfb97219b39f4c46cad5ad (diff)
Merge "ci: verify generated rpms"
-rwxr-xr-xci/utility/rpms_check.sh21
-rw-r--r--ci/utility/rpms_list63
2 files changed, 84 insertions, 0 deletions
diff --git a/ci/utility/rpms_check.sh b/ci/utility/rpms_check.sh
new file mode 100755
index 00000000..a08b3ef9
--- /dev/null
+++ b/ci/utility/rpms_check.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+source $DIR/package-list.sh
+
+if [ -d $RPM_WORKDIR/RPMS/x86_64 ]
+then
+ ls $RPM_WORKDIR/RPMS/x86_64 > list_of_gen_pack
+else
+ echo "Can't access folder $RPM_WORKDIR with rpm packages"
+ exit 1
+fi
+
+for PACKAGENAME in `cat $DIR/rpms_list`
+do
+ if ! grep -q $PACKAGENAME list_of_gen_pack
+ then
+ echo "$PACKAGENAME is missing"
+ exit 2
+ fi
+done
diff --git a/ci/utility/rpms_list b/ci/utility/rpms_list
new file mode 100644
index 00000000..9607c5ab
--- /dev/null
+++ b/ci/utility/rpms_list
@@ -0,0 +1,63 @@
+collectd
+collectd-amqp
+collectd-apache
+collectd-ascent
+collectd-bind
+collectd-ceph
+collectd-chrony
+collectd-collection3
+collectd-contrib
+collectd-curl
+collectd-curl_json
+collectd-curl_xml
+collectd-dbi
+collectd-debuginfo
+collectd-disk
+collectd-dns
+collectd-email
+collectd-gmond
+collectd-gps
+collectd-hddtemp
+collectd-intel_rdt
+collectd-ipmi
+collectd-iptables
+collectd-java
+collectd-log_logstash
+collectd-lua
+collectd-lvm
+collectd-memcachec
+collectd-modbus
+collectd-mqtt
+collectd-mysql
+collectd-netlink
+collectd-nginx
+collectd-notify_desktop
+collectd-notify_email
+collectd-nut
+collectd-openldap
+collectd-ovs_events
+collectd-ovs_stats
+collectd-perl
+collectd-php-collection
+collectd-pinba
+collectd-ping
+collectd-postgresql
+collectd-python
+collectd-redis
+collectd-rrdcached
+collectd-rrdtool
+collectd-sensors
+collectd-smart
+collectd-snmp
+collectd-snmp_agent
+collectd-utils
+collectd-varnish
+collectd-virt
+collectd-write_http
+collectd-write_prometheus
+collectd-write_redis
+collectd-write_riemann
+intel-cmt-cat
+intel-cmt-cat-devel
+libcollectdclient
+libcollectdclient-devel